[pacman-dev] [PATCH] libmakepkg: check if PACKAGER has the expected format for WKD lookup
Jonas Witschel
diabonas at gmx.de
Mon Aug 5 15:36:31 UTC 2019
pacman should be able to extract an email address from PACKAGER for WKD
lookup, so issue a warning if it is not of the form
"Example Name <email at address.invalid>". Neither the name nor the email
address must contain additional angle brackets.
Signed-off-by: Jonas Witschel <diabonas at gmx.de>
---
scripts/libmakepkg/lint_config/variable.sh.in | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/scripts/libmakepkg/lint_config/variable.sh.in b/scripts/libmakepkg/lint_config/variable.sh.in
index 55ed6d6d..fe1e6d63 100644
--- a/scripts/libmakepkg/lint_config/variable.sh.in
+++ b/scripts/libmakepkg/lint_config/variable.sh.in
@@ -60,5 +60,10 @@ lint_config_variables() {
fi
done
+ # pacman should be able to extract an email address from PACKAGER for WKD key lookup
+ if ! [[ $PACKAGER =~ ^[^\<\>]*\ \<[^\<\>]*\>$ ]]; then
+ warning "$(gettext "PACKAGER should have the format 'Example Name <email at address.invalid>'")"
+ fi
+
return $ret
}
--
2.22.0
More information about the pacman-dev
mailing list